Index: 0.3-modules/proyectos_operativos_seguimiento/includes/ae_proyecto/seguimiento_accion_especifica_deproyecto_partidaspormes_modificar.forms.inc
===================================================================
--- 0.3-modules/proyectos_operativos_seguimiento/includes/ae_proyecto/seguimiento_accion_especifica_deproyecto_partidaspormes_modificar.forms.inc	(revision a1046b114f202763eb0045bf705c3ecd1e666d2c)
+++ 0.3-modules/proyectos_operativos_seguimiento/includes/ae_proyecto/seguimiento_accion_especifica_deproyecto_partidaspormes_modificar.forms.inc	(revision a0e55ebb51b212a806aefb115cc288bdf1f514d1)
@@ -117,4 +117,5 @@
   $alguna_partida_con_asignado_cero = 0;//bandera para verificar que si se muestra el mensajes sobre reformulaciones
   $partidas_accion_especifica = $ae->field_accion_esp_programacion;
+  $mesi = $mes - 1;
   foreach ($partidas_accion_especifica as $partida) {
     if ($partida['tid']) {
@@ -122,5 +123,5 @@
       //calcular la variacion si existe
       $variacion_por_ref = 0;
-      foreach ($ref_aprob as $id => $ref_aprob_i){
+      foreach ($ref_aprob as $id => $ref_aprob_i) {
         if(($ref_aprob_i['partida']==$partida['tid'])&&($ref_aprob_i['tomado_en_cuenta']==0)){
           $variacion_por_ref += $ref_aprob_i['asignado_mes'];
@@ -134,6 +135,6 @@
         $term->name = tt("taxonomy:term:$term->tid:name", $term->name);
       }
-      
-      $valor1 = $mes > 0 ? 'value_' . $mes : 'value';
+
+      $valor1 = $mesi > 0 ? 'value_' . $mesi : 'value';
       
       $comprometidov = 0;
@@ -229,5 +230,5 @@
       $causadov = 0;
       $pagadov = 0;
-        
+
       foreach ($consultaseguimientoactual['segmespartidas'] as $consultapartida) {//colocando valor por omision (consultado de base de datos si esta)
         if($partida_actual==$consultapartida['partida']){
@@ -286,6 +287,7 @@
   
   //calcular variacion en el planificado de la meta fisica
+
   $variacion_planificado_mes = _seguimiento_mesactual_metafisica_ae_deproyecto_reformulaciones_load($ae, $mes);
-  $valor_texto = $mes > 0 ? 'value_' . $mes : 'value';
+  $valor_texto = $mesi > 0 ? 'value_' . $mesi : 'value';
   $cant_metafisica_planif = $ae->field_accion_esp_metaf[0][$valor_texto] + $variacion_planificado_mes;
   $disabled = $cant_metafisica_planif == 0 ? TRUE : FALSE;
@@ -317,4 +319,5 @@
   drupal_add_js($seg_proyecto_path . '/js/seguimiento_proyecto.js');
   
+  $consultaseguimientoactual = _seguimiento_mesactual_partida_ae_deproyecto_load($ae, $mes);
   $cant_metafisica_ej = isset($consultaseguimientoactual['segmes']['ejecutadometafisica']) ? $consultaseguimientoactual['segmes']['ejecutadometafisica'] : 0;
 
@@ -596,14 +599,15 @@
     if ($partida['tid']) {
       //comprometido < causado
-      if ($form_state['values'][$partida['tid'] . '_comprometido'] < $form_state['values'][$partida['tid'] . '_causado']) {
+ /*     if ($form_state['values'][$partida['tid'] . '_comprometido'] < $form_state['values'][$partida['tid'] . '_causado']) {
         //$output .= '<br><b>Nota</b>: La relacion entre las cantidades debe ser: <b>\'Comprometido\' >= \'Causado\' >= \'Pagado\'</b>';
         form_set_error($partida['tid'] . '_comprometido', t("El valor 'Comprometido @comprometido' debe ser mayor o igual que el valor de 'Causado @causado'.", array("@comprometido" => $form_state['values'][$partida['tid'] . '_comprometido'], "@causado" => $form_state['values'][$partida['tid'] . '_causado'])));
       }
-
+*/
       //causado < pagado
-      if ($form_state['values'][$partida['tid'] . '_causado'] < $form_state['values'][$partida['tid'] . '_pagado']) {
+  /*    if ($form_state['values'][$partida['tid'] . '_causado'] < $form_state['values'][$partida['tid'] . '_pagado']) {
         //$output .= '<br><b>Nota</b>: La relacion entre las cantidades debe ser: <b>\'Comprometido\' >= \'Causado\' >= \'Pagado\'</b>';
         form_set_error($partida['tid'] . '_causado', t("El valor 'Causado @causado' debe ser mayor o igual que el valor de 'Pagado @pagado'.", array("@causado" => $form_state['values'][$partida['tid'] . '_causado'], "@pagado" => $form_state['values'][$partida['tid'] . '_pagado'])));
       }
+*/
       /*
       //asignado < comprometido
@@ -705,4 +709,5 @@
     $id_seg = $consultaseguimientoactual['segmes']['id_seg'];
     $exe_query = db_query("UPDATE {seguimiento_aeproyecto} SET acumulativa = %d WHERE nid = %d", $es_acumulativo, $form['#node']->nid);
+    //$exe_query = db_query("UPDATE {seguimiento_aeproyecto} SET mes = %d WHERE id_seg = %d", $form['#mes'], $consultaseguimientoactual['segmes']['id_seg']);
   }else{
     $es_acumulativo = isset($form_state['values']['acumulativo_metafisica_planificado']) ? $form_state['values']['acumulativo_metafisica_planificado'] : $form['#node']->es_acumulativo;
